<template>

</template>
<script>
    export default {
        data(){
            return{
                form : new Form(
                  {
                    password:"",
                    email:'',
                }),
                isLoading:false,
            }
        },
        created()
        {

        },
        mounted() {

        },
        computed:
        {

        },
        methods:
        {

            //Ajoute un role dans la BDD
            onSubmit()
            {
                /// verification de l'url
                var url = window.location.href.includes('login/admin')?"/login/admin":"/login"
                this.isLoading  = true
                //Requête ajax
                this.form.post(url).then((value) =>
                {
                    this.$root.ui()
                   window.location= isDefined(value.path) ? value.path : "/dashboard"
                },
                (error) =>
                {
                  this.isLoading = false
                });
            },
            //Initialisation du formulaire
              reset()
            {
                  this.form.reset();
                  this.isLoading = false
            },
            show(){
                return show = true
            },

            updateError()
            {

               if(this.form.errors.has('email') || this.form.errors.has('identify') || this.form.errors.has('username') )
               {
                  this.form.errors.clear('identify')
                  this.form.errors.clear('email')
                  this.form.errors.clear('username')
               }
            },
        },
        components:
        {

        }
    }
</script>
